import { cloneElement } from 'react';
import PropTypes from 'prop-types';
import AtomLabel, { AtomLabelTypes } from '@s-ui/react-atom-label';
import { CLASS_NODE_LABEL_CONTAINER } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";

var MoleculeLabel = function MoleculeLabel(_ref) {
  var label = _ref.label,
      nodeLabel = _ref.nodeLabel,
      typeValidationLabel = _ref.type,
      name = _ref.name,
      onClick = _ref.onClick;

  var innerLabel = function innerLabel() {
    if (label) {
      return /*#__PURE__*/_jsx(AtomLabel, {
        type: typeValidationLabel,
        name: name,
        text: label,
        onClick: onClick
      });
    } else if (nodeLabel) {
      return /*#__PURE__*/cloneElement(nodeLabel, {
        type: typeValidationLabel,
        name: name,
        onClick: onClick
      });
    }
  };

  return /*#__PURE__*/_jsx("div", {
    className: CLASS_NODE_LABEL_CONTAINER,
    children: innerLabel()
  });
};

export default MoleculeLabel;