import { AtomValidationTextTypes } from '@s-ui/react-atom-validation-text';

var textStatusConverter = function textStatusConverter(_ref) {
  var errorText = _ref.errorText,
      alertText = _ref.alertText,
      successText = _ref.successText;
  if (alertText) return AtomValidationTextTypes.ALERT;
  if (errorText) return AtomValidationTextTypes.ERROR;
  if (successText) return AtomValidationTextTypes.SUCCESS;
};

var useStatusValidationText = function useStatusValidationText(_ref2) {
  var successText = _ref2.successText,
      errorText = _ref2.errorText,
      alertText = _ref2.alertText,
      status = _ref2.status,
      statusText = _ref2.statusText;
  return {
    text: alertText || successText || errorText || statusText,
    status: status || textStatusConverter({
      alertText: alertText,
      successText: successText,
      errorText: errorText
    })
  };
};

export default useStatusValidationText;